# Planet Plugin for FAS2
__requires__='TurboGears >= 1.0.4'

from setuptools import setup, find_packages
from turbogears.finddata import find_package_data, standard_exclude, \
        standard_exclude_directories
import os, glob

excludeFiles = ['*.cfg.in']
excludeFiles.extend(standard_exclude)
excludeDataDirs = ['']
excludeDataDirs.extend(standard_exclude_directories)

package_data = find_package_data(where='./', package='fas_planet',
    exclude=excludeFiles, exclude_directories=excludeDataDirs,)
data_files = [
    ('fas_planet/templates', filter(os.path.isfile, glob.glob('fas_planet/templates/*.html')))
]

setup(
    name = "FAS Planet Plugin",
    version = "0.1",
    packages = find_packages(),

    data_files = data_files,
    package_data = package_data,
        
    author = "Ignacio Vazquez-Abrams",
    author_email = "ivazquez@fedoraproject.org",
    description = "Planet maintenance plugin for FAS2",
    entry_points = {
            'fas.plugins': (
                'Planet = fas_planet:PlanetPlugin',
            )
    },
    zip_safe = False
)
